Loading...
Searching...
No Matches
Opm::GasLiftGroupInfo< Scalar, IndexTraits >::GroupRates Class Reference

## Public Member Functions

| GroupRates (Scalar oil_rate, Scalar gas_rate, Scalar water_rate, Scalar alq, Scalar oil_potential, Scalar gas_potential, Scalar water_potential, std::optional< Scalar > oil_target, std::optional< Scalar > gas_target, std::optional< Scalar > water_target, std::optional< Scalar > liquid_target, std::optional< Scalar > total_gas, std::optional< Scalar > max_alq)
Scalar | alq () const
void | assign (Scalar oil_rate, Scalar gas_rate, Scalar water_rate, Scalar alq)
Scalar | gasRate () const
Scalar | waterRate () const
std::optional< Scalar > | gasTarget () const
std::optional< Scalar > | waterTarget () const
std::optional< Scalar > | maxAlq () const
std::optional< Scalar > | maxTotalGasRate () const
Scalar | oilRate () const
std::optional< Scalar > | oilTarget () const
std::optional< Scalar > | liquidTarget () const
Scalar | oilPotential () const
Scalar | gasPotential () const
Scalar | waterPotential () const
void | update (Scalar delta_oil, Scalar delta_gas, Scalar delta_water, Scalar delta_alq)

The documentation for this class was generated from the following file:

- opm/simulators/wells/GasLiftGroupInfo.hpp